//
//
//$(function(){
//		if($("#year").val()==""&&$("#mouth").val()==""){
//			newDate();
//		}
//
//});
//	//获取并判断当前系统时间给页面赋值
// function newDate(){
//	var date = new Date();
//	var year = date.getFullYear();
//	var month =date.getMonth()-1 ;
//	$("#grqbrq").val(year);
//	if(month.length==2){
//		$("#grzbrq").val(month);
//	}
//	else{
//		$("#grzbrq").val('0'+month);
//	}
//}

//点击保单号把投保单号传得到url并且跳转页面
function openEventWindow(tbdh) {
	$.ajax({
		type:"POST",
		url:getRootPath()+"/ecm/ryxpolicy.do",
		data:{"key_":"ryx_policy_info"},
		error :function(){
			alert("调用产险新影像服务失败！");
			return ;
		},
		success :function(data){
			url=data;
			var params={};
			params["zdzh"]=tbdh;
			params["dzlx"]='A';
			params["fromType"]='11';
			openNewByPost(url,params);
		}
	});
 }
//点击保单影像传投保单号跳转页面
function openEventWin(tbdh){
	$.ajax({
		type:"POST",
		url:getRootPath()+"/ecm/ryxpolicy.do",
		data:{"key_":"ryx_policy_info"},
		error :function(){
			alert("调用保单影像服务失败！");
			return ;
		},
		success :function(data){
			url=data;
			var params={};
			params["zdzh"]=tbdh;
			params["dzlx"]='C';
			params["fromType"]='11';
			openNewByPost(url,params);
		}
	});
	
}
function openEventDown(tbdh) {
	$.ajax({
		type:"POST",
		url:getRootPath()+"/ecm/ryxpolicy.do",
		data:{"key_":"ryx_policy_info"},
		error :function(){
			alert("调用产险新影像服务失败！");
			return ;
		},
		success :function(data){
			url=data;
			var params={};
			params["zdzh"]=tbdh;
			params["dzlx"]='D';
			params["fromType"]='12';
			openNewByPost(url,params);
		}
	});
 }	

//判断是否全选
function checkAll(flag1,flag2){
	if(flag2=="1"){//总开关
		if($(flag1).attr("class")=="check_no"){
			$("#endCaseListTbl tr:gt(0)").each(function (){
				$(this).find("span").attr("class","check_yes");
			});
		}else{
			$("#endCaseListTbl tr:gt(0)").each(function (){
				$(this).find("span").attr("class","check_no");
			});
		}
	}else{//子开关
		if($(flag1).attr("class")=="check_yes"){
			var bool=false;
			$("#endCaseListTbl tr:gt(0)").each(function (){
				if($(this).find("span").attr("class")=="check_no"){
					bool=true;
					return;
				}
			});
			if(!bool){
				$("#titSpan").attr("class","check_yes");
			}
		}else{
			$("#titSpan").attr("class","check_no");
		}
	}
}

//根据条件查询并且承保日期必填  
	function queryClaimPolicyInfo() {
		var url = getRootPath() + "/claimpolicyInfoController/claimpolicyInfoQuery.do" ;
		if(($("#grqbrq").val()!=""&&$("#grzbrq").val()=="")||($("#grqbrq").val()==""&&$("#grzbrq").val()!="")){
			alert("年月要同时填写");
			return;
		}
		document.forms["form"].action = url;
		var flag = true;
		if (flag) {
			document.forms["form"].submit();
		} 
	}
	
	//全选按钮设置全外包事件
	function btn_szqwb(){
		var sendOutsourcingProvider = $("#sendOutsourcingProvider").val();
		if(sendOutsourcingProvider == ""){
			alert("请选择发送外包商！");
			return;
		}
		var n=0;
		var objlist= new Array();
		$("#endCaseListTbl tr:gt(0)").each(function (){
			if($(this).find("span").attr("class")=="check_yes"){
				var obj = new Object();
				n++;
				var tbrxm = $(this).find("#tbrxm").val();
				//var grqbrq = $(this).find("#beginDate").val();
				//var grzbrq = $(this).find("#endDate").val();
				var policyno = $(this).find("#policyno").val();
				//var departmentcode = $(this).find("#departmentcode").val();
				//var orgcode = $(this).find("#orgcode").val();
				//var id = $(this).find("#id").val();
				var companyno = $(this).find("#companyno").val();
				obj.tbrxm = tbrxm; //投保人名称
				//obj.grqbrq = grqbrq; 
				//obj.grzbrq = grzbrq;
				obj.policyno = policyno; //保单号
				obj.companyno = companyno; //单位编码
				//obj.orgcode = orgcode; // 机构代码
				//obj.departmentcode = departmentcode; //部门编号 
				//obj.id = id;//编号
				obj.sendOutsourcingProvider = sendOutsourcingProvider; //外包商
				objlist.push(obj);
			}
		});
		if(n==0){
			alert("请先选择！");
			return;
		}
		$.ajax({
			type : "post",
			url : getRootPath() + "/claimpolicyInfoController/addClaimPolicyInfo.do",
			data : JSON.stringify(objlist),
			contentType:"application/json; charset=UTF-8",
			error:function(){
				alert("操作失败！");
				return;
			},
			success:function(data){
				if(data.bpo){
					alert(data.bpo);
					location="/claimserver/claimpolicyInfoController/claimpolicyInfoQueryPage.do";
				}else{
					alert("操作失败");
				}
			}
		});	
	}



//重置按钮
function doSubmit(){
	$("#policyno").val("");
	$("#tbrxm").val("");
	$("#status").val('全部');
	$("#grqbrq").val("");
	$("#grzbrq").val("");
	$("#outsourcingProvider").val("");
	$("#datasource").val("");
}

//翻页
function cur_skip(s,e){
	
	var pn = $(e).find("span").html();
	var policyno = $("#policyno").val();   //保单号
	var tbrxm = $("#tbrxm").val(); //投保人名称
	var grqbrq = $("#grqbrq").val(); //承保日期起止日
	var grzbrq = $("#grzbrq").val(); //承保日期终止日
	var status = $("#status").val(); //状态
	var flag = $("#flag").val(); 
	var outsourcingProvider=$("#outsourcingProvider").find("option:selected").val();//外包商
	if(s=="1"){
		SkipByPost("claimpolicyInfoQuery.do", {
			pageNo : pn,
			policyno : policyno,
			tbrxm : tbrxm,
			grqbrq : grqbrq,
			grzbrq : grzbrq,
			status : status,
			flag : flag,
			outsourcingProvider:outsourcingProvider
			
		});
	}
	else if(s=="2"){
		SkipByPost("claimpolicyInfoQuery.do",{pageNo:pn,flag:flag});
	}
	$(".turn_cur").removeAttr("class");
	$(e).find("span").attr("class","turn_cur");
}

//前一页
function pre(s,e){
	var cur = $("#nav").find(".turn_cur").html();
	var policyno = $("#policyno").val();   //保单号
	var tbrxm = $("#tbrxm").val(); //投保人名称
	var grqbrq = $("#grqbrq").val(); //承保日期起止日
	var grzbrq = $("#grzbrq").val(); //承保日期终止日
	var status = $("#status").val(); //状态
	var flag = $("#flag").val(); 
	var outsourcingProvider=$("#outsourcingProvider").find("option:selected").val();//外包商
	if(cur==1){
		return;
	}	
	if(cur>1){
	var pre = Number(cur)-Number(1);		
	if(s=="1"){
		SkipByPost("claimpolicyInfoQuery.do", {
			
			pageNo : pre,
			policyno : policyno,
			tbrxm : tbrxm,
			grqbrq : grqbrq,
			grzbrq : grzbrq,
			status : status,
			flag : flag,
			outsourcingProvider:outsourcingProvider
			
		});
	}
		else if(s=="2"){
		SkipByPost("claimpolicyInfoQuery.do",{pageNo:pre,flag:flag});
		}
	}
}
//下一页

function next(s,e){
	var cur = $("#nav").find(".turn_cur").html();
	var next = Number(cur)+Number(1);
	var maxPage = $("#max").val();
	var policyno = $("#policyno").val();   //保单号
	var tbrxm = $("#tbrxm").val(); //投保人名称
	var grqbrq = $("#grqbrq").val(); //承保日期起止日
	var grzbrq = $("#grzbrq").val(); //承保日期终止日
	var status = $("#status").val(); //状态
	var flag = $("#flag").val(); 
	var outsourcingProvider=$("#outsourcingProvider").find("option:selected").val();//外包商
	
	if(parseInt(cur)==parseInt(maxPage)){			
		return;
	}
	
	if(parseInt(cur)<parseInt(maxPage)){
		if(s=="1"){
			SkipByPost("claimpolicyInfoQuery.do",{
				pageNo:next,
				policyno : policyno,
				tbrxm : tbrxm,
				grqbrq : grqbrq,
				grzbrq : grzbrq,
				status : status,
				flag : flag,
				outsourcingProvider:outsourcingProvider
				});
			}
			else if(s=="2"){
			SkipByPost("claimpolicyInfoQuery.do",{pageNo:next,flag:flag});
			}
	}
}

//跳转至
function custom(s){		
	
	var maxPage = $("#max").val();
	var pn = $.trim($("#turn_inp").val());
	var policyno = $("#policyno").val();   //保单号
	var tbrxm = $("#tbrxm").val(); //投保人名称
	var grqbrq = $("#grqbrq").val(); //承保日期起止日
	var grzbrq = $("#grzbrq").val(); //承保日期终止日
	var status = $("#status").val(); //状态
	var flag = $("#flag").val(); 
	var outsourcingProvider=$("#outsourcingProvider").find("option:selected").val();//外包商
	if(isNaN(pn)){
		return ;
	}
	if(pn == "") {
		return;
	}
	if(Number(pn)==0){
		return;
	}	
	if(Number(pn) > Number(maxPage)){
		return;
	}	
	if(s=="1"){
		SkipByPost("claimpolicyInfoQuery.do",{
			pageNo:Number(pn),
			policyno : policyno,
			tbrxm : tbrxm,
			grqbrq : grqbrq,
			grzbrq : grzbrq,
			status : status,
			flag:flag,
			outsourcingProvider:outsourcingProvider
			});
		}
		else if(s=="2"){
		SkipByPost("claimpolicyInfoQuery.do",{pageNo:Number(pn),flag:flag});
		}
}

function execlExport(){
//	var param = {};
//	
//	var n = 0;
//	var objlist= new Array();
//	$("#endCaseListTbl tr:gt(0)").each(function (){
//		var obj = new Object();
//		n++;
//		var tbrxm = $(this).find("#tbrxm").val();
//		var policyno = $(this).find("#policyno").val();
//		var companyno = $(this).find("#companyno").val();
//		obj.tbrxm = tbrxm; //投保人名称
//		obj.policyno = policyno; //保单号
//		obj.companyno = companyno; //单位编码
////		obj.sendOutsourcingProvider = sendOutsourcingProvider; //外包商
//		objlist.push(obj);
//	});
//	
//	param.objlist = objlist;
//	SkipByPost("execlExport.do", param);
	
	
	
	var url = getRootPath() + "/claimpolicyInfoController/execlExport.do" ;
	if(($("#grqbrq").val()!=""&&$("#grzbrq").val()=="")||($("#grqbrq").val()==""&&$("#grzbrq").val()!="")){
		alert("年月要同时填写");
		return;
	}
	document.forms["form"].action = url;
	var flag = true;
	if (flag) {
		document.forms["form"].submit();
	} 
}
